com.h3c.of.lib.msg

## Enum SupportedAction

- java.lang.Object
- - java.lang.Enum<SupportedAction>
  - - com.h3c.of.lib.msg.SupportedAction

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<SupportedAction>

      public enum SupportedAction
      extends Enum<SupportedAction>
      implements OfpBitmapEnum

  Designates supported action flags for Features-Reply; Since 1.0; Removed at 1.1.

  The "supported actions" bitmap in the 1.0 Features-Reply was dropped in 1.1, that is, the field was renamed "Reserved" and described as "Reserved for future use". These flags only apply to v1.0.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENQUEUE` Output to queue.
    `OUTPUT` Output to switch port.
    `SET_DL_DST` Set the Ethernet (Data-Link) destination address.
    `SET_DL_SRC` Set the Ethernet (Data-Link) source address.
    `SET_NW_DST` Set the IP (Network) destination address.
    `SET_NW_SRC` Set the IP (Network) source address.
    `SET_NW_TOS` Set the IP (Network) ToS (DSCP field, 6 bits).
    `SET_TP_DST` Set the TCP/UDP destination port.
    `SET_TP_SRC` Set the TCP/UDP source port.
    `SET_VLAN_PCP` Set the 802.1q priority.
    `SET_VLAN_VID` Set the 802.1q VLAN id.
    `STRIP_VLAN` Strip the 802.1q header.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of the constant, suitable for presentation in a display.
    `String` | `toString()`
    `static SupportedAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SupportedAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUTPUT

          public static final SupportedAction OUTPUT

      Output to switch port.

    - #### SET_VLAN_VID

          public static final SupportedAction SET_VLAN_VID

      Set the 802.1q VLAN id.

    - #### SET_VLAN_PCP

          public static final SupportedAction SET_VLAN_PCP

      Set the 802.1q priority.

    - #### STRIP_VLAN

          public static final SupportedAction STRIP_VLAN

      Strip the 802.1q header.

    - #### SET_DL_SRC

          public static final SupportedAction SET_DL_SRC

      Set the Ethernet (Data-Link) source address.

    - #### SET_DL_DST

          public static final SupportedAction SET_DL_DST

      Set the Ethernet (Data-Link) destination address.

    - #### SET_NW_SRC

          public static final SupportedAction SET_NW_SRC

      Set the IP (Network) source address.

    - #### SET_NW_DST

          public static final SupportedAction SET_NW_DST

      Set the IP (Network) destination address.

    - #### SET_NW_TOS

          public static final SupportedAction SET_NW_TOS

      Set the IP (Network) ToS (DSCP field, 6 bits).

    - #### SET_TP_SRC

          public static final SupportedAction SET_TP_SRC

      Set the TCP/UDP source port.

    - #### SET_TP_DST

          public static final SupportedAction SET_TP_DST

      Set the TCP/UDP destination port.

    - #### ENQUEUE

          public static final SupportedAction ENQUEUE

      Output to queue.

  - ### Method Detail

    - #### values

          public static SupportedAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SupportedAction c : SupportedAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SupportedAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SupportedAction>`

    - #### toDisplayString

          public String toDisplayString()

      Description copied from interface: `OfpBitmapEnum`
      Returns a string representation of the constant, suitable for presentation in a display.
      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        a display string for the constant

Copyright © 2014. All Rights Reserved.